Package ru.bitel.bgbilling.modules.mobile.server.bean

# Class MobContractData

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.mobile.server.bean.MobContractData

All Implemented Interfaces:
  `ContractIdable`

public class MobContractData extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MobContractData()`
  `MobContractData(Contract contract)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAbsoluteServerDate()`
  `BigDecimal`
  `getBalance()`
  `byte`
  `getBalanceMode()`
  `ContractTariff`
  `getContractTariff()`
  `BigDecimal`
  `getLimit()`
  `List<MobileMenuItem>`
  `getMenuItems()`
  `Map<String,Object>`
  `getParams()`
  `List<Map<String,String>>`
  `getPaymentModules()`
  `List<String>`
  `getPluginsIdList()`
  `Date`
  `getServerDate()`
  Deprecated.
  `int`
  `getStatus()`
  `List<Status>`
  `getStatusList()`
  `List<IdTitle>`
  `getSubContractList()`
  `int`
  `getSuperContractId()`
  `String`
  `getTariffDateFrom()`
  `String`
  `getTariffDateTo()`
  `String`
  `getTariffTitle()`
  `String`
  `getTitle()`
  `bitel.billing.common.VersionInfo`
  `getVi()`
  `void`
  `setAbsoluteServerDate(String absoluteServerDate)`
  `void`
  `setBalance(BigDecimal balance)`
  `void`
  `setBalanceMode(byte balanceMode)`
  `MobContractData`
  `setContractId(int contractId)`
  `void`
  `setContractTariff(ContractTariff contractTariff)`
  `void`
  `setLimit(BigDecimal limit)`
  `void`
  `setMenuItems(List<MobileMenuItem> menuItems)`
  `void`
  `setParams(Map<String,Object> params)`
  `void`
  `setPaymentModules(List<Map<String,String>> paymentModules)`
  `void`
  `setPluginsIdList(List<String> pluginsIdList)`
  `void`
  `setServerDate(Date serverDate)`
  Deprecated.
  `void`
  `setStatus(int status)`
  `void`
  `setStatusList(List<Status> statusList)`
  `void`
  `setSubContractList(List<IdTitle> subContractList)`
  `void`
  `setSuperContractId(int superContractId)`
  `void`
  `setTariffDateFrom(String tariffDateFrom)`
  `void`
  `setTariffDateTo(String tariffDateTo)`
  `void`
  `setTariffTitle(String tariffTitle)`
  `void`
  `setTitle(String title)`
  `void`
  `setVi(bitel.billing.common.VersionInfo vi)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MobContractData

    public MobContractData()

  - ### MobContractData

    public MobContractData(Contract contract)

- ## Method Details

  - ### setContractId

    public MobContractData setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getBalance

    public BigDecimal getBalance()

  - ### setBalance

    public void setBalance(BigDecimal balance)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getTariffTitle

    public String getTariffTitle()

  - ### setTariffTitle

    public void setTariffTitle(String tariffTitle)

  - ### getContractTariff

    public ContractTariff getContractTariff()

  - ### setContractTariff

    public void setContractTariff(ContractTariff contractTariff)

  - ### getLimit

    public BigDecimal getLimit()

  - ### setLimit

    public void setLimit(BigDecimal limit)

  - ### getServerDate

    @Deprecated public Date getServerDate()
    Deprecated.

  - ### setServerDate

    @Deprecated public void setServerDate(Date serverDate)
    Deprecated.

  - ### getAbsoluteServerDate

    public String getAbsoluteServerDate()

  - ### setAbsoluteServerDate

    public void setAbsoluteServerDate(String absoluteServerDate)

  - ### getBalanceMode

    public byte getBalanceMode()

  - ### setBalanceMode

    public void setBalanceMode(byte balanceMode)

  - ### getStatusList

    public List<Status> getStatusList()

  - ### setStatusList

    public void setStatusList(List<Status> statusList)

  - ### getMenuItems

    public List<MobileMenuItem> getMenuItems()

  - ### setMenuItems

    public void setMenuItems(List<MobileMenuItem> menuItems)

  - ### getTariffDateFrom

    public String getTariffDateFrom()

  - ### setTariffDateFrom

    public void setTariffDateFrom(String tariffDateFrom)

  - ### getTariffDateTo

    public String getTariffDateTo()

  - ### setTariffDateTo

    public void setTariffDateTo(String tariffDateTo)

  - ### getPluginsIdList

    public List<String> getPluginsIdList()

  - ### setPluginsIdList

    public void setPluginsIdList(List<String> pluginsIdList)

  - ### getPaymentModules

    public List<Map<String,String>> getPaymentModules()

  - ### setPaymentModules

    public void setPaymentModules(List<Map<String,String>> paymentModules)

  - ### getSubContractList

    public List<IdTitle> getSubContractList()

  - ### setSubContractList

    public void setSubContractList(List<IdTitle> subContractList)

  - ### getSuperContractId

    public int getSuperContractId()

  - ### setSuperContractId

    public void setSuperContractId(int superContractId)

  - ### getVi

    public bitel.billing.common.VersionInfo getVi()

  - ### setVi

    public void setVi(bitel.billing.common.VersionInfo vi)

  - ### getParams

    public Map<String,Object> getParams()

  - ### setParams

    public void setParams(Map<String,Object> params)